"""rename auth

Revision ID: 0363f582ab28
Revises: ad8b2d208492
Create Date: 2021-09-11 05:32:56.683107

"""

from alembic import op


# revision identifiers, used by Alembic.
revision = "0363f582ab28"
down_revision = "ad8b2d208492"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.rename_table("auth_clients", "clients")
    op.drop_constraint("uq_auth_clients_code", "clients", type_="unique")
    op.drop_constraint("uq_auth_clients_name", "clients", type_="unique")
    op.create_unique_constraint(op.f("uq_clients_code"), "clients", ["code"])
    op.create_unique_constraint(op.f("uq_clients_name"), "clients", ["name"])

    op.rename_table("auth_login_history", "login_history")
    op.drop_constraint("uq_auth_login_history_user_id", "login_history", type_="unique")
    op.create_unique_constraint(op.f("uq_login_history_user_id"), "login_history", ["user_id", "client_id", "date"])

    op.rename_table("auth_permissions", "permissions")
    op.drop_constraint("uq_auth_permissions_name", "permissions", type_="unique")
    op.create_unique_constraint(op.f("uq_permissions_name"), "permissions", ["name"])

    op.rename_table("auth_roles", "roles")
    op.drop_constraint("uq_auth_roles_name", "roles", type_="unique")
    op.create_unique_constraint(op.f("uq_roles_name"), "roles", ["name"])

    op.rename_table("auth_users", "users")
    op.drop_constraint("uq_auth_users_username", "users", type_="unique")
    op.create_unique_constraint(op.f("uq_users_username"), "users", ["username"])
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###

    op.rename_table("users", "auth_users")
    op.drop_constraint(op.f("uq_users_username"), "users", type_="unique")
    op.create_unique_constraint("uq_auth_users_username", "users", ["username"])

    op.rename_table("roles", "auth_roles")
    op.drop_constraint(op.f("uq_roles_name"), "roles", type_="unique")
    op.create_unique_constraint("uq_auth_roles_name", "roles", ["name"])

    op.rename_table("permissions", "auth_permissions")
    op.drop_constraint(op.f("uq_permissions_name"), "permissions", type_="unique")
    op.create_unique_constraint("uq_auth_permissions_name", "permissions", ["name"])

    op.rename_table("login_history", "auth_login_history")
    op.drop_constraint(op.f("uq_login_history_user_id"), "login_history", type_="unique")
    op.create_unique_constraint("uq_auth_login_history_user_id", "login_history", ["user_id", "client_id", "date"])

    op.rename_table("clients", "auth_clients")
    op.drop_constraint(op.f("uq_clients_name"), "clients", type_="unique")
    op.drop_constraint(op.f("uq_clients_code"), "clients", type_="unique")
    op.create_unique_constraint("uq_auth_clients_name", "clients", ["name"])
    op.create_unique_constraint("uq_auth_clients_code", "clients", ["code"])
    # ### end Alembic commands ###
