from sqlalchemy import Boolean, Column, Integer, Unicode

from .meta import Base


class AccountType(Base):
    __tablename__ = "account_types"

    id: int = Column("id", Integer, primary_key=True)
    name: str = Column("name", Unicode(255), unique=True, nullable=False)
    balance_sheet: bool = Column("balance_sheet", Boolean, nullable=False)
    debit: bool = Column("debit", Boolean, nullable=False)
    cash_flow_classification: str = Column("cash_flow_classification", Unicode(255), nullable=False)
    order: int = Column("order", Integer, nullable=False)
    show_in_list: bool = Column("show_in_list", Boolean, nullable=False)
