import uuid

from decimal import Decimal
from typing import Optional

from brewman.schemas import to_camel
from brewman.schemas.product import ProductLink
from pydantic import BaseModel, Field


class RateContractItem(BaseModel):
    id_: Optional[uuid.UUID]
    sku: ProductLink
    price: Decimal = Field(ge=0, multiple_of=0.01)

    class Config:
        alias_generator = to_camel
