export class BatchIntegrity {
  product: string;
  date: string;
  price: number;
  showing: number;
  actual: number;
  details: BatchDetail[];

  public constructor(init?: Partial<BatchIntegrity>) {
    this.product = '';
    this.date = '';
    this.price = 0;
    this.showing = 0;
    this.actual = 0;
    this.details = [];
    Object.assign(this, init);
  }
}

export class BatchDetail {
  date: string;
  type: string;
  url: string[];
  quantity: number;
  price: number;

  public constructor(init?: Partial<BatchDetail>) {
    this.date = '';
    this.type = '';
    this.url = [];
    this.quantity = 0;
    this.price = 0;
    Object.assign(this, init);
  }
}
