import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { ProductLedger } from './product-ledger';
import { ProductLedgerService } from './product-ledger.service';

@Injectable({
  providedIn: 'root',
})
export class ProductLedgerResolver implements Resolve<ProductLedger> {
  constructor(private ser: ProductLedgerService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<ProductLedger> {
    const id = route.paramMap.get('id');
    const startDate = route.queryParamMap.get('startDate') || null;
    const finishDate = route.queryParamMap.get('finishDate') || null;
    return this.ser.list(id, startDate, finishDate);
  }
}
